/* Index style */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* font-family: 'Roboto', sans-serif; */
    font-family: 'Roboto Slab', serif;
}

html,
body {
    max-width: 100vw;
    scroll-behavior: smooth;
    overflow-x: hidden;
}

body {
    overflow-y: hidden;
}

body::-webkit-scrollbar {
    display: none;
}

/* Main */

#Main {
    width: 100% !important;
    padding-top: 100px;
    display: grid;
    padding: 150px 10vw 60px 10vw;
    grid-template-columns: 1fr;
    grid-template-rows: 80vw auto 5vw 80vw auto auto 80vw auto auto 80vw auto auto 80vw auto auto 80vw auto auto;
    grid-template-areas:
        "Main_img6"
        "Main_text6"
        "."
        "Main_img1"
        "Main_text1"
        "tab1"
        "Main_img2"
        "Main_text2"
        "tab2"
        "Main_img3"
        "Main_text3"
        "tab3"
        "Main_img4"
        "Main_text4"
        "tab4"
        "Main_img5"
        "Main_text5"
        "tab5";
    background-color: #B4BEC9;
    height: fit-content;

}

#Main div a {
    text-decoration: none;
    color: #014e4e;
}

.Main_link:hover {
    background-color: whitesmoke;
}

.Main_img {
    height: 80vw;
    width: 80vw;
}

.Main_title {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 40px;
}

.Main_text {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 80vw;
    height: 100%;
    font-size: 22px;
}

.Main_link {
    padding: 5px 0 5px 20px;
    border-style: solid hidden solid hidden;
    border-width: 1px;
    border-color: black;
    margin-top: 30px;
}

#Main_img1 {
    grid-area: Main_img1;
}

#Main_img2 {
    grid-area: Main_img2;
}

#Main_img3 {
    grid-area: Main_img3;
}

#Main_img4 {
    grid-area: Main_img4;
}

#Main_img5 {
    grid-area: Main_img5;
}
#Main_img6{
    grid-area: Main_img6;
}

#Main_text1 {
    grid-area: Main_text1;
}

#Main_text2 {
    grid-area: Main_text2;
}

#Main_text3 {
    grid-area: Main_text3;
}

#Main_text4 {
    grid-area: Main_text4;
}

#Main_text5 {
    grid-area: Main_text5;
}

#Main_text6{
    grid-area: Main_text6;
}
#tab1 {
    grid-area: tab1;
    margin-bottom: 5vw;
}

#tab2 {
    grid-area: tab2;
    margin-bottom: 5vw;

}

#tab3 {
    grid-area: tab3;
    margin-bottom: 5vw;

}

#tab4 {
    grid-area: tab4;
    margin-bottom: 5vw;

}

#tab5 {
    grid-area: tab5;
    margin-bottom: 5vw;

}

/* Header */

header {
    transition: 0.5s;
    z-index: 10;
    width: 100vw;
    position: fixed;
    display: flex;
    flex-wrap: nowrap;
    flex-shrink: 0;

}

header>div {
    transition: 0.5s;
    height: 100px;
    text-align: center;
    line-height: 75px;
    font-size: 30px;
    border-style: hidden hidden solid hidden;
    border-color: black;
    color: white;
    background-color: #B4BEC9;
    border-width: 2px;
}

#head1 {
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    font-size: 60px;
    border-style: hidden solid solid hidden !important;
    width: max-content !important;
    padding: 3px 10px 3px 10px;

}

#head1_link {
    text-decoration: none;
    color: black;
    transition: 0.3;
}

#head2 {
    flex: 1;
}

#head3 {
    width: 100px;
}



/* Animated menu button */

.container {
    display: inline-block;
    cursor: pointer;
    padding: 10px 10px 10px 10px;

}

.bar1,
.bar2,
.bar3 {
    width: 60px;
    height: 10px;
    background-color: black;
    margin: 10px 0;
    transition: 0.3s;
    border-radius: 2px;
}

.change .bar1 {
    transform: translate(0, 16px) rotate(-45deg);
    margin: 6px 0;
    margin-top: 15px;
}

.change .bar2 {
    opacity: 0;
    margin: 6px 0;
}

.change .bar3 {
    transform: translate(0, -14px) rotate(45deg);
    margin: 6px 0;
}


/* Menu Overlay */

#full_menu {
    display: flexbox;
    flex-direction: column;
    flex-wrap: nowrap;
    height: 100vh;
    width: 0;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    background-color: #002333;
    overflow: hidden;
    transition: 0.5s;
}

#full_menu_content {
    position: relative;
    top: 100px;
    width: 100%;
}

#full_menu_content a {
    text-transform: uppercase;
    border-color: white;
    border-width: 2px;
    border-style: none none solid none;
    padding: 15px;
    text-decoration: none;
    font-size: 50px;
    color: white;
    display: block;
    transition: 0.3s;
}

#full_menu_content a:hover {
    background-color: #B4BEC9;
    font-style: italic;
    font-family: 'Playfair Display', serif;
    color: #002333;

}


/* Footer */

#footer {
    display: flex;
    background-color: rgb(20, 20, 20);
    height: 40vw;
}


#foot_links {
    width: 100%;
    height: 80%;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 2em;
    font-size: 3vw;
    border-style: hidden hidden solid hidden;
    border-color: white;
}

#foot_links p {
    display: flex;
    align-items: center;
    justify-content: center;
    text-decoration: none;
    color: white;
    text-transform: uppercase;
    height: 2em;
    width: 8em;
    border-radius: 5px;
    transition: 200ms;
}

#leftFoot{
    margin-left: 5vw;
}
#rightFoot {
    margin-right: 5vw;
}



@media screen and (max-height: 450px) {
    .overlay {
        overflow-y: auto;
    }

    .overlay a {
        font-size: 20px
    }

    .overlay .closebtn {
        font-size: 40px;
        top: 15px;
        right: 35px;
    }
}

@media only screen and (min-width: 600px) {

    #Main {
        grid-template-rows: 80vw auto 5vw 80vw auto auto 80vw auto auto 80vw auto auto 80vw auto auto;
        grid-template-areas:
            "Main_img6"
            "Main_text6"
            "."
            "Main_img1"
            "Main_text1"
            "tab1"
            "Main_img2"
            "Main_text2"
            "tab2"
            "Main_img3"
            "Main_text3"
            "tab3"
            "Main_img4"
            "Main_text4"
            "tab4"
            "Main_img5"
            "Main_text5"
            "tab5";
    }


    body {
        background-color: white;
    }

    #Bild1 {
        height: 400px;
    }


    #head1 {
        width: 30%;
        font-size: 70px;
    }

    #full_menu_content a {
        padding: 30px;
    }
}

@media only screen and (min-width: 900px) {
    #Main {
        padding: 200px 0 0 0;
        grid-template-columns: 50vw 50vw;
        /* grid-template-rows: repeat(4, 50vw 100px); */
        grid-template-rows: auto 50px auto auto 50px auto auto 50px auto auto 50px auto auto 50px auto auto 50px;
        grid-template-areas:
            "Main_text6 Main_img6"
            ". ."
            "Main_img1 Main_text1"
            "tab1 tab1"
            ". ."
            "Main_text2 Main_img2"
            "tab2 tab2"
            ". ."
            "Main_img3 Main_text3"
            "tab3 tab3"
            ". ."
            "Main_text4 Main_img4"
            "tab4 tab4"
            ". ."
            "Main_img5 Main_text5"
            "tab5 tab5"
            ". .";
        ;
    }

    .Main_img {
        width: 50vw;
        height: 50vw;
    }

    .Main_text {
        width: 50vw;
    }

    .Main_text p {
        width: 45vw;
    }

    body {
        background-color: white;

    }

    #head1 {
        font-size: 80px;
    }

    #footer {
        height: 20vw;
    }

    #foot_links {
        font-size: 30px;
    }
}


/* 5 IDENTICAL VERSION OF THE SAME CODE TO MAKE THE READ MORE FUNCTIONS WORK */

#chck1 {
    position: absolute;
    opacity: 0;
    z-index: -1;
}

#tab1 {
    width: 100%;
    color: black;
    overflow: hidden;
    font-size: 22px;
}

.tab1-label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1em;
    background: #B4BEC9;
    font-weight: bold;
    cursor: pointer;
}

.tab1-label::after {
    font-size: 60px !important;
    content: "^";
    width: 1em;
    height: 1em;
    text-align: center;
    transition: all 0.35s;
}

.tab1-content {
    margin: 0 3vw 0 3vw;
    max-height: 0;
    padding: 0 1em;
    color: #2c3e50;
    background: white;
    transition: all 0.35s;
}

.tab1-close {
    display: flex;
    justify-content: flex-end;
    padding: 1em;
    font-size: 0.75em;
    background: #2c3e50;
    cursor: pointer;
}

.tab1-close:hover {
    background: #1a252f;
}

#chck1:checked+.tab1-label {
    background: #B4BEC9;
}

#chck1:checked+.tab1-label::after {
    transform: rotate(180deg);
}

#chck1:checked~.tab1-content {
    max-height: fit-content;
    padding: 1em;
    transition: 400ms ease;
}

#chck2 {
    position: absolute;
    opacity: 0;
    z-index: -1;
}

#tab2 {
    width: 100%;
    color: black;
    overflow: hidden;
    font-size: 22px;
}

.tab2-label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1em;
    background: #B4BEC9;
    font-weight: bold;
    cursor: pointer;
}

.tab2-label::after {
    font-size: 60px !important;
    content: "^";
    width: 1em;
    height: 1em;
    text-align: center;
    transition: all 0.35s;
}

.tab2-content {
    margin: 0 3vw 0 3vw;
    max-height: 0;
    padding: 0 1em;
    color: #2c3e50;
    background: white;
    transition: all 0.35s;
}

.tab2-close {
    display: flex;
    justify-content: flex-end;
    padding: 1em;
    font-size: 0.75em;
    background: #2c3e50;
    cursor: pointer;
}

.tab2-close:hover {
    background: #1a252f;
}

#chck2:checked+.tab2-label {
    background: #B4BEC9;
}

#chck2:checked+.tab2-label::after {
    transform: rotate(180deg);
}

#chck2:checked~.tab2-content {
    max-height: fit-content;
    padding: 1em;
    transition: 400ms ease;
}

#chck3 {
    position: absolute;
    opacity: 0;
    z-index: -1;
}

#tab3 {
    width: 100%;
    color: black;
    overflow: hidden;
    font-size: 22px;
}

.tab3-label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1em;
    background: #B4BEC9;
    font-weight: bold;
    cursor: pointer;
}

.tab3-label::after {
    font-size: 60px !important;
    content: "^";
    width: 1em;
    height: 1em;
    text-align: center;
    transition: all 0.35s;
}

.tab3-content {
    margin: 0 3vw 0 3vw;
    max-height: 0;
    padding: 0 1em;
    color: #2c3e50;
    background: white;
    transition: all 0.35s;
}

.tab3-close {
    display: flex;
    justify-content: flex-end;
    padding: 1em;
    font-size: 0.75em;
    background: #2c3e50;
    cursor: pointer;
}

.tab3-close:hover {
    background: #1a252f;
}

#chck3:checked+.tab3-label {
    background: #B4BEC9;
}

#chck3:checked+.tab3-label::after {
    transform: rotate(180deg);
}

#chck3:checked~.tab3-content {
    max-height: fit-content;
    padding: 1em;
    transition: 400ms ease;
}

#chck4 {
    position: absolute;
    opacity: 0;
    z-index: -1;
}

#tab4 {
    width: 100%;
    color: black;
    overflow: hidden;
    font-size: 22px;
}

.tab4-label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1em;
    background: #B4BEC9;
    font-weight: bold;
    cursor: pointer;
}

.tab4-label::after {
    font-size: 60px !important;
    content: "^";
    width: 1em;
    height: 1em;
    text-align: center;
    transition: all 0.35s;
}

.tab4-content {
    margin: 0 3vw 0 3vw;
    max-height: 0;
    padding: 0 1em;
    color: #2c3e50;
    background: white;
    transition: all 0.35s;
}

.tab4-close {
    display: flex;
    justify-content: flex-end;
    padding: 1em;
    font-size: 0.75em;
    background: #2c3e50;
    cursor: pointer;
}

.tab4-close:hover {
    background: #1a252f;
}

#chck4:checked+.tab4-label {
    background: #B4BEC9;
}

#chck4:checked+.tab4-label::after {
    transform: rotate(180deg);
}

#chck4:checked~.tab4-content {
    max-height: fit-content;
    padding: 1em;
    transition: 400ms ease;
}

#chck5 {
    position: absolute;
    opacity: 0;
    z-index: -1;
}

#tab5 {
    width: 100%;
    color: black;
    overflow: hidden;
    font-size: 22px;
}


.tab5-label {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1em;
    background: #B5BEC9;
    font-weight: bold;
    cursor: pointer;
}


.tab5-label::after {
    font-size: 50px !important;
    content: "^";
    width: 1em;
    height: 1em;
    text-align: center;
    transition: all 0.35s;
}


.tab5-content {
    margin: 0 3vw 0 3vw;
    max-height: 0;
    padding: 0 1em;
    color: #2c3e50;
    background: white;
    transition: all 0.35s;
}


.tab5-close {
    display: flex;
    justify-content: flex-end;
    padding: 1em;
    font-size: 0.75em;
    background: #2c3e50;
    cursor: pointer;
}


.tab5-close:hover {
    background: #1a252f;
}


#chck5:checked+.tab5-label {
    background: #B5BEC9;
}


#chck5:checked+.tab5-label::after {
    transform: rotate(180deg);
}


#chck5:checked~.tab5-content {
    max-height: fit-content;
    padding: 1em;
    transition: 500ms ease;
}